---
title: "Delete a Team"
slug: "delete-a-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Team

Post/api/v1/teams.delete

Removes a team.

Permission required: `delete-team`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='afe7dd0e-6330-4201-b4c4-29e4b45ca67b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='4d782eec-43f9-42ad-9045-191bf06ccc76'>Example</option>
</select>Example

```json
{
  "teamId": "mLGZGywfmLGZGywf",
  "roomsToRemove": [
    "8dugqGhuRvCBLdZft"
  ]
}
```

object  teamNamestring    

Enter the team name. This parameter is required if `teamId` is not provided.

teamIdstring    

Enter the team ID. This parameter is required if `teamName` is not provided.

roomsToRemove Array of string   

The room IDs to delete along with the team.

string    Example8dugqGhuRvCBLdZft

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='6ff6ba31-be60-4af0-9104-43ca74624bef'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7fcf5889-e0ff-43bd-8fa0-86ccad1946a2'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='52570d8b-47ee-4364-ae58-4b32e2f0b068'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='add3af56-4bd4-4a1e-8671-5c0cae9936f4'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
